Bug 1728524 (CVE-2019-10163)

Summary: CVE-2019-10163 pdns: denial-of-service via NOTIFY packets
Product: [Other] Security Response Reporter: Dhananjay Arunesh <darunesh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: mstevens, ruben, sander
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: pdns 4.1.9, pdns 4.0.8 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-12 13:08:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1728525, 1728526    
Bug Blocks:    

Description Dhananjay Arunesh 2019-07-10 06:26:54 UTC
An issue has been found in PowerDNS Authoritative Server allowing a remote, authorized master server to cause a high CPU load or even prevent any further updates to any slave zone by sending a large number of NOTIFY messages. Note that only servers configured as slaves are affected by this issue.

Upstream fix:
https://blog.powerdns.com/2019/06/21/powerdns-authoritative-server-4-0-8-and-4-1-10-released/

Comment 1 Dhananjay Arunesh 2019-07-10 06:27:10 UTC
Created pdns tracking bugs for this issue:

Affects: epel-all [bug 1728526]
Affects: fedora-all [bug 1728525]

Comment 2 Dhananjay Arunesh 2019-07-10 06:27:53 UTC
External References:

https://doc.powerdns.com/authoritative/security-advisories/powerdns-advisory-2019-05.html

Comment 3 Product Security DevOps Team 2019-07-12 13:08:50 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.